def parse_xml_to_json(xml):
    if not len(list(xml)):
        if xml.attrib.get('id'):
            return {xml.attrib.get('id'): xml.text}
        return {xml.tag: xml.text}

    parsed_children = [parse_xml_to_json(child) for child in list(xml)]
    if xml.attrib.get('nodeType'):
        return {xml.tag: parsed_children}
    else:
        merged_children = {k: v for d in parsed_children for k, v in d.items()}
        return {xml.tag: merged_children}

def parse_prestashop_xml_products(xml):
    response = {}

    for child in list(xml):
        if len(list(child)) > 0:
            response[child.attrib.get('id')] = parse_prestashop_xml_products(child)
        else:
            response[child.attrib.get('id')] = child.attrib

    return response
